parameters:
  upgrades:
    toKeep:
      - 'cache'
      - 'extensions'
      - 'public/extensions'
      - 'public/legacy/codeception.dist.yml'
      - 'public/legacy/public'
      - 'public/legacy/tests'
      - 'public/legacy/modules'
      - 'public/legacy/custom'
      - 'public/legacy/cache'
      - 'public/legacy/upload'
      - 'public/legacy/upgrade'
      - 'public/legacy/vendor'
      - 'public/legacy/Api/V8/OAuth2/private.key'
      - 'public/legacy/Api/V8/OAuth2/public.key'
      - 'public/legacy/config.php'
      - 'public/legacy/config_override.php'
      - 'public/legacy/config_si.php'
      - 'public/legacy/suitecrm.log'
      - 'public/legacy/install.log'
      - 'public/media-upload'
      - 'public/legacy/.installed_checked'
      - 'logs'
      - 'uploads'
      - '.env.local'
      - '.env.local.php'
      - '.env.prod.local'
      - '.env.prod.local.php'
      - '.env.dev.local'
      - '.env.dev.local.php'
      - '.installed_checked'
      - 'angular.json'
      - 'tmp'
      - '.git'
      - '.gitignore'
    toKeepIgnore:
      - 'public/legacy/modules/Accounts'
      - 'public/legacy/modules/ACL'
      - 'public/legacy/modules/ACLActions'
      - 'public/legacy/modules/ACLRoles'
      - 'public/legacy/modules/Activities'
      - 'public/legacy/modules/Administration'
      - 'public/legacy/modules/Alerts'
      - 'public/legacy/modules/AM_ProjectTemplates'
      - 'public/legacy/modules/AM_TaskTemplates'
      - 'public/legacy/modules/AOBH_BusinessHours'
      - 'public/legacy/modules/AOD_Index'
      - 'public/legacy/modules/AOD_IndexEvent'
      - 'public/legacy/modules/AOK_KnowledgeBase'
      - 'public/legacy/modules/AOK_Knowledge_Base_Categories'
      - 'public/legacy/modules/AOP_Case_Events'
      - 'public/legacy/modules/AOP_Case_Updates'
      - 'public/legacy/modules/AOR_Charts'
      - 'public/legacy/modules/AOR_Conditions'
      - 'public/legacy/modules/AOR_Fields'
      - 'public/legacy/modules/AOR_Reports'
      - 'public/legacy/modules/AOR_Scheduled_Reports'
      - 'public/legacy/modules/AOS_Contracts'
      - 'public/legacy/modules/AOS_Invoices'
      - 'public/legacy/modules/AOS_Line_Item_Groups'
      - 'public/legacy/modules/AOS_PDF_Templates'
      - 'public/legacy/modules/AOS_Product_Categories'
      - 'public/legacy/modules/AOS_Products'
      - 'public/legacy/modules/AOS_Products_Quotes'
      - 'public/legacy/modules/AOS_Quotes'
      - 'public/legacy/modules/AOW_Actions'
      - 'public/legacy/modules/AOW_Conditions'
      - 'public/legacy/modules/AOW_Processed'
      - 'public/legacy/modules/AOW_WorkFlow'
      - 'public/legacy/modules/Audit'
      - 'public/legacy/modules/BeanDictionary.php'
      - 'public/legacy/modules/Bugs'
      - 'public/legacy/modules/Calendar'
      - 'public/legacy/modules/Calls'
      - 'public/legacy/modules/Calls_Reschedule'
      - 'public/legacy/modules/CampaignLog'
      - 'public/legacy/modules/Campaigns'
      - 'public/legacy/modules/CampaignTrackers'
      - 'public/legacy/modules/Cases'
      - 'public/legacy/modules/Charts'
      - 'public/legacy/modules/Configurator'
      - 'public/legacy/modules/Connectors'
      - 'public/legacy/modules/Contacts'
      - 'public/legacy/modules/Currencies'
      - 'public/legacy/modules/Delegates'
      - 'public/legacy/modules/DocumentRevisions'
      - 'public/legacy/modules/Documents'
      - 'public/legacy/modules/DynamicFields'
      - 'public/legacy/modules/EAPM'
      - 'public/legacy/modules/EmailAddresses'
      - 'public/legacy/modules/EmailMan'
      - 'public/legacy/modules/EmailMarketing'
      - 'public/legacy/modules/Emails'
      - 'public/legacy/modules/EmailTemplates'
      - 'public/legacy/modules/EmailText'
      - 'public/legacy/modules/Employees'
      - 'public/legacy/modules/Favorites'
      - 'public/legacy/modules/FP_Event_Locations'
      - 'public/legacy/modules/FP_events'
      - 'public/legacy/modules/Groups'
      - 'public/legacy/modules/Help'
      - 'public/legacy/modules/History'
      - 'public/legacy/modules/Home'
      - 'public/legacy/modules/iCals'
      - 'public/legacy/modules/Import'
      - 'public/legacy/modules/InboundEmail'
      - 'public/legacy/modules/jjwg_Address_Cache'
      - 'public/legacy/modules/jjwg_Areas'
      - 'public/legacy/modules/jjwg_Maps'
      - 'public/legacy/modules/jjwg_Markers'
      - 'public/legacy/modules/LabelEditor'
      - 'public/legacy/modules/Leads'
      - 'public/legacy/modules/MailMerge'
      - 'public/legacy/modules/Meetings'
      - 'public/legacy/modules/MergeRecords'
      - 'public/legacy/modules/ModuleBuilder'
      - 'public/legacy/modules/MySettings'
      - 'public/legacy/modules/Notes'
      - 'public/legacy/modules/OAuth2Clients'
      - 'public/legacy/modules/OAuth2Tokens'
      - 'public/legacy/modules/OAuthKeys'
      - 'public/legacy/modules/OAuthTokens'
      - 'public/legacy/modules/Opportunities'
      - 'public/legacy/modules/OptimisticLock'
      - 'public/legacy/modules/OutboundEmailAccounts'
      - 'public/legacy/modules/Project'
      - 'public/legacy/modules/ProjectTask'
      - 'public/legacy/modules/ProspectLists'
      - 'public/legacy/modules/Prospects'
      - 'public/legacy/modules/Relationships'
      - 'public/legacy/modules/Releases'
      - 'public/legacy/modules/Reminders'
      - 'public/legacy/modules/Reminders_Invitees'
      - 'public/legacy/modules/ResourceCalendar'
      - 'public/legacy/modules/Roles'
      - 'public/legacy/modules/SavedSearch'
      - 'public/legacy/modules/Schedulers'
      - 'public/legacy/modules/SchedulersJobs'
      - 'public/legacy/modules/SecurityGroups'
      - 'public/legacy/modules/Spots'
      - 'public/legacy/modules/Studio'
      - 'public/legacy/modules/SugarFeed'
      - 'public/legacy/modules/SurveyQuestionOptions'
      - 'public/legacy/modules/SurveyQuestionResponses'
      - 'public/legacy/modules/SurveyQuestions'
      - 'public/legacy/modules/SurveyResponses'
      - 'public/legacy/modules/Surveys'
      - 'public/legacy/modules/TableDictionary.php'
      - 'public/legacy/modules/Tasks'
      - 'public/legacy/modules/TemplateSectionLine'
      - 'public/legacy/modules/Trackers'
      - 'public/legacy/modules/UpgradeWizard'
      - 'public/legacy/modules/UserPreferences'
      - 'public/legacy/modules/Users'
      - 'public/legacy/modules/vCals'
      - 'public/legacy/vendor/gymadarasz'
      - 'public/legacy/vendor/tinymce'
    toExpand:
      - 'public'
      - 'public/legacy'
      - 'public/legacy/modules'
      - 'public/legacy/vendor'
      - 'public/legacy/Api'
      - 'public/legacy/Api/V8'
      - 'public/legacy/Api/V8/OAuth2'
    toReAdd:
      - 'public/legacy/include/language'
      - 'public/legacy/install/language'
      - 'public/legacy/modules/Accounts/language'
      - 'public/legacy/modules/ACL/language'
      - 'public/legacy/modules/ACLActions/language'
      - 'public/legacy/modules/ACLRoles/language'
      - 'public/legacy/modules/Activities/language'
      - 'public/legacy/modules/Administration/language'
      - 'public/legacy/modules/Alerts/language'
      - 'public/legacy/modules/AM_ProjectTemplates/language'
      - 'public/legacy/modules/AM_TaskTemplates/language'
      - 'public/legacy/modules/AOBH_BusinessHours/language'
      - 'public/legacy/modules/AOD_Index/language'
      - 'public/legacy/modules/AOD_IndexEvent/language'
      - 'public/legacy/modules/AOK_KnowledgeBase/language'
      - 'public/legacy/modules/AOK_Knowledge_Base_Categories/language'
      - 'public/legacy/modules/AOP_Case_Events/language'
      - 'public/legacy/modules/AOP_Case_Updates/language'
      - 'public/legacy/modules/AOR_Charts/language'
      - 'public/legacy/modules/AOR_Conditions/language'
      - 'public/legacy/modules/AOR_Fields/language'
      - 'public/legacy/modules/AOR_Reports/language'
      - 'public/legacy/modules/AOR_Scheduled_Reports/language'
      - 'public/legacy/modules/AOS_Contracts/language'
      - 'public/legacy/modules/AOS_Invoices/language'
      - 'public/legacy/modules/AOS_Line_Item_Groups/language'
      - 'public/legacy/modules/AOS_PDF_Templates/language'
      - 'public/legacy/modules/AOS_Product_Categories/language'
      - 'public/legacy/modules/AOS_Products/language'
      - 'public/legacy/modules/AOS_Products_Quotes/language'
      - 'public/legacy/modules/AOS_Quotes/language'
      - 'public/legacy/modules/AOW_Actions/language'
      - 'public/legacy/modules/AOW_Conditions/language'
      - 'public/legacy/modules/AOW_Processed/language'
      - 'public/legacy/modules/AOW_WorkFlow/language'
      - 'public/legacy/modules/Audit/language'
      - 'public/legacy/modules/BeanDictionary.php/language'
      - 'public/legacy/modules/Bugs/language'
      - 'public/legacy/modules/Calendar/language'
      - 'public/legacy/modules/Calls/language'
      - 'public/legacy/modules/Calls_Reschedule/language'
      - 'public/legacy/modules/CampaignLog/language'
      - 'public/legacy/modules/Campaigns/language'
      - 'public/legacy/modules/CampaignTrackers/language'
      - 'public/legacy/modules/Cases/language'
      - 'public/legacy/modules/Charts/language'
      - 'public/legacy/modules/Configurator/language'
      - 'public/legacy/modules/Connectors/language'
      - 'public/legacy/modules/Contacts/language'
      - 'public/legacy/modules/Currencies/language'
      - 'public/legacy/modules/Delegates/language'
      - 'public/legacy/modules/DocumentRevisions/language'
      - 'public/legacy/modules/Documents/language'
      - 'public/legacy/modules/DynamicFields/language'
      - 'public/legacy/modules/EAPM/language'
      - 'public/legacy/modules/EmailAddresses/language'
      - 'public/legacy/modules/EmailMan/language'
      - 'public/legacy/modules/EmailMarketing/language'
      - 'public/legacy/modules/Emails/language'
      - 'public/legacy/modules/EmailTemplates/language'
      - 'public/legacy/modules/EmailText/language'
      - 'public/legacy/modules/Employees/language'
      - 'public/legacy/modules/Favorites/language'
      - 'public/legacy/modules/FP_Event_Locations/language'
      - 'public/legacy/modules/FP_events/language'
      - 'public/legacy/modules/Groups/language'
      - 'public/legacy/modules/Help/language'
      - 'public/legacy/modules/History/language'
      - 'public/legacy/modules/Home/language'
      - 'public/legacy/modules/iCals/language'
      - 'public/legacy/modules/Import/language'
      - 'public/legacy/modules/InboundEmail/language'
      - 'public/legacy/modules/jjwg_Address_Cache/language'
      - 'public/legacy/modules/jjwg_Areas/language'
      - 'public/legacy/modules/jjwg_Maps/language'
      - 'public/legacy/modules/jjwg_Markers/language'
      - 'public/legacy/modules/LabelEditor/language'
      - 'public/legacy/modules/Leads/language'
      - 'public/legacy/modules/MailMerge/language'
      - 'public/legacy/modules/Meetings/language'
      - 'public/legacy/modules/MergeRecords/language'
      - 'public/legacy/modules/ModuleBuilder/language'
      - 'public/legacy/modules/MySettings/language'
      - 'public/legacy/modules/Notes/language'
      - 'public/legacy/modules/OAuth2Clients/language'
      - 'public/legacy/modules/OAuth2Tokens/language'
      - 'public/legacy/modules/OAuthKeys/language'
      - 'public/legacy/modules/OAuthTokens/language'
      - 'public/legacy/modules/Opportunities/language'
      - 'public/legacy/modules/OptimisticLock/language'
      - 'public/legacy/modules/OutboundEmailAccounts/language'
      - 'public/legacy/modules/Project/language'
      - 'public/legacy/modules/ProjectTask/language'
      - 'public/legacy/modules/ProspectLists/language'
      - 'public/legacy/modules/Prospects/language'
      - 'public/legacy/modules/Relationships/language'
      - 'public/legacy/modules/Releases/language'
      - 'public/legacy/modules/Reminders/language'
      - 'public/legacy/modules/Reminders_Invitees/language'
      - 'public/legacy/modules/ResourceCalendar/language'
      - 'public/legacy/modules/Roles/language'
      - 'public/legacy/modules/SavedSearch/language'
      - 'public/legacy/modules/Schedulers/language'
      - 'public/legacy/modules/SchedulersJobs/language'
      - 'public/legacy/modules/SecurityGroups/language'
      - 'public/legacy/modules/Spots/language'
      - 'public/legacy/modules/Studio/language'
      - 'public/legacy/modules/SugarFeed/language'
      - 'public/legacy/modules/SurveyQuestionOptions/language'
      - 'public/legacy/modules/SurveyQuestionResponses/language'
      - 'public/legacy/modules/SurveyQuestions/language'
      - 'public/legacy/modules/SurveyResponses/language'
      - 'public/legacy/modules/Surveys/language'
      - 'public/legacy/modules/TableDictionary.php/language'
      - 'public/legacy/modules/Tasks/language'
      - 'public/legacy/modules/TemplateSectionLine/language'
      - 'public/legacy/modules/Trackers/language'
      - 'public/legacy/modules/UpgradeWizard/language'
      - 'public/legacy/modules/UserPreferences/language'
      - 'public/legacy/modules/Users/language'
      - 'public/legacy/modules/vCals/language'
      - 'public/legacy/include/SugarObjects/implements/assignable/language'
      - 'public/legacy/include/SugarObjects/implements/security_groups/language'
      - 'public/legacy/include/SugarObjects/implements/team_security/language'
      - 'public/legacy/include/SugarObjects/templates/basic/language'
      - 'public/legacy/include/SugarObjects/templates/company/language'
      - 'public/legacy/include/SugarObjects/templates/file/language'
      - 'public/legacy/include/SugarObjects/templates/issue/language'
      - 'public/legacy/include/SugarObjects/templates/person/language'
      - 'public/legacy/include/SugarObjects/templates/sale/language'
